Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool.stock
Class Action_Helper

    java.lang.Object
      things.thinger.service.httptool.Action
          things.thinger.service.httptool.stock.Action_Helper

    public class Action_Helper

extends Action

A simple help page displayer.

PARAM_HELPER__FOR = Gives a name for what is using the Helper. This is for visual naming purposes only. PARAM_HELPER__NAME = Loadable class for the Helper. PARAM_HELPER__PAGE = OPTIONAL. If specified it will merge with this page instead of the registered default.

Version:
  1.0

  Version History

      EPG - Initial - 13 Sep 08

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `helper__Banner`
`static java.lang.String` | `helper__BannerReference`
`static java.lang.String` | `helper__Column1`
`static java.lang.String` | `helper__Column1_header`
`static java.lang.String` | `helper__Column2`
`static java.lang.String` | `helper__Column2_header`
`static java.lang.String` | `helper__Column2_value`
`static java.lang.String` | `helper__Column3`
`static java.lang.String` | `helper__Column3_header`
`static java.lang.String` | `helper__Column3_value`
`static java.lang.String` | `helper__Info`
`static java.lang.String` | `helper__Table`

Fields inherited from class things.thinger.service.httptool.Action
`parameters, si, tags`

Constructor Summary
`Action_Helper()`

Method Summary
`protected ActionResult` | `process()` The implementation.

Methods inherited from class things.thinger.service.httptool.Action
`ERROR, execute, head, PUNT`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### helper__Table

    public static java.lang.String helper__Table

### helper__Banner

    public static java.lang.String helper__Banner

### helper__BannerReference

    public static java.lang.String helper__BannerReference

### helper__Info

    public static java.lang.String helper__Info

### helper__Column1

    public static java.lang.String helper__Column1

### helper__Column2

    public static java.lang.String helper__Column2

### helper__Column3

    public static java.lang.String helper__Column3

### helper__Column2_value

    public static java.lang.String helper__Column2_value

### helper__Column3_value

    public static java.lang.String helper__Column3_value

### helper__Column1_header

    public static java.lang.String helper__Column1_header

### helper__Column2_header

    public static java.lang.String helper__Column2_header

### helper__Column3_header

    public static java.lang.String helper__Column3_header

Constructor Detail

### Action_Helper

    public Action_Helper()

Method Detail

### process

    protected ActionResult process()
                            throws java.lang.Throwable

  The implementation. Assume the DATA is available.

  Specified by:
    `process` in class `Action`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.